# Documentation

Menu

## QROptions extends SettingsContainerAbstract
in package
Uses QROptionsTrait

QROptions.php : 18

The QRCode settings container

### Table of Contents

#### Properties

$addLogoSpace : bool
  Toggles logo space creation
$addQuietzone : bool
  Add a "quiet zone" (margin) according to the QR code spec
$bgColor : mixed|null
  Sets the image background color (if applicable)
$cachefile : string|null
  Optional cache file path `/path/to/cache.file`
$circleRadius : float
  Specifies the radius of the modules when `QROptions::$drawCircularModules` is set to `true`
$connectPaths : bool
  Whether to connect the paths for the several module types to avoid weird glitches when using gradients etc.
$cssClass : string
  A common css class
$drawCircularModules : bool
  Specify whether to draw the modules as filled circles
$drawLightModules : bool
  Whether to draw the light (false) modules
$eccLevel : int
  Error correct level
$eol : string
  Newline string
$excludeFromConnect : array<string|int, mixed>
  Specify which paths/patterns to exclude from connecting if `QROptions::$connectPaths` is set to `true`
$fpdfMeasureUnit : string
  Measurement unit for `FPDF` output: `pt`, `mm`, `cm`, `in` (default: `pt`)
$imageBase64 : bool
$imageTransparencyBG : array<string|int, mixed>
$imageTransparent : bool
  Toggle transparency
$imagickBG : string
$imagickFormat : string
  Imagick output format
$invertMatrix : bool
  Whether to invert the matrix (reflectance reversal)
$jpegQuality : int
$jsonAsBooleans : bool
  Whether to return matrix values in JSON as booleans or `$M_TYPE` integers
$keepAsSquare : array<string|int, mixed>
  Specifies which module types to exclude when `QROptions::$drawCircularModules` is set to `true`
$logoSpaceHeight : int|null
  Height of the logo space
$logoSpaceStartX : int|null
  Optional horizontal start position of the logo space (top left corner)
$logoSpaceStartY : int|null
  Optional vertical start position of the logo space (top left corner)
$logoSpaceWidth : int|null
  Width of the logo space
$markupDark : string
  Markup substitute for dark (CSS value)
$markupLight : string
  Markup substitute for light (CSS value)
$maskPattern : int
  Mask Pattern to use (no value in using, mostly for unit testing purposes)
$moduleValues : array<string|int, mixed>|null
  Module values map
$outputBase64 : bool
  Toggle base64 data URI or raw data output (if applicable)
$outputInterface : string|null
  The FQCN of the custom `QROutputInterface`
$outputType : string
  The built-in output type
$pngCompression : int
$quality : int
  Compression quality
$quietzoneSize : int
  Size of the quiet zone
$readerGrayscale : bool
  Grayscale the image before reading
$readerIncreaseContrast : bool
  Increase the contrast before reading
$readerUseImagickIfAvailable : bool
  Use Imagick (if available) when reading QR Codes
$returnResource : bool
  Return the image resource instead of a render if applicable.
$scale : int
  Pixel size of a QR code module
$svgAddXmlHeader : bool
  Whether to add an XML header line or not, e.g. to embed the SVG directly in HTML
$svgDefs : string
  Anything in the SVG `<defs>` tag
$svgOpacity : float
  SVG path opacity
$svgPreserveAspectRatio : string
  Sets the value for the "preserveAspectRatio" on the `<svg>` element
$svgViewBoxSize : int|null
  SVG viewBox size. A single integer number which defines width/height of the viewBox attribute.
$textDark : string
  String substitute for dark
$textLight : string
  String substitute for light
$textLineStart : string
  An optional line prefix, e.g. empty space to align the QR Code in a console
$transparencyColor : mixed|null
  Sets a transparency color for when `QROptions::$imageTransparent` is set to `true`.
$version : int
  QR Code version number
$versionMax : int
  Maximum QR version
$versionMin : int
  Minimum QR version

#### Methods

clampLogoSpaceValue() : int|null
  clamp the logo space values between 0 and maximum length (177 modules at version 40)
get_imageBase64() : bool
  redirect call to the new variable
get_imageTransparencyBG() : array<string|int, mixed>|null
get_imagickBG() : string|null
get_jpegQuality() : int
get_pngCompression() : int
set_circleRadius() : void
  clamp/set SVG circle radius
set_fpdfMeasureUnit() : void
  sets the FPDF measurement unit
set_imageBase64() : void
  redirect call to the new variable
set_imageTransparencyBG() : void
set_imagickBG() : void
set_jpegQuality() : void
set_logoSpaceHeight() : void
  clamp/set logo space height
set_logoSpaceStartX() : void
  clamp/set horizontal logo space start
set_logoSpaceStartY() : void
  clamp/set vertical logo space start
set_logoSpaceWidth() : void
  clamp/set logo space width
set_pngCompression() : void
set_quietzoneSize() : void
  sets/clamps the quiet zone size
set_readerUseImagickIfAvailable() : void
  enables Imagick for the QR Code reader if the extension is available
set_version() : void
  sets/clamps the version number
set_versionMax() : void
  sets the maximum version number
set_versionMin() : void
  sets the minimum version number
setMinMaxVersion() : void
  clamp min/max version number

### Properties

#### $addLogoSpace

QROptionsTrait.php : 263

Toggles logo space creation

`protected bool $addLogoSpace = false`

##### Tags

see
  QRCode::addMatrixModifications()
see
  QRMatrix::setLogoSpace()

#### $addQuietzone

QROptionsTrait.php : 84

Add a "quiet zone" (margin) according to the QR code spec

`protected bool $addQuietzone = true`

##### Tags

see
  https://www.qrcode.com/en/howto/code.html

#### $bgColor

QROptionsTrait.php : 186

Sets the image background color (if applicable)

`protected mixed|null $bgColor = null`

- `QRImagick`: defaults to `"white"`
- `QRGdImage`: defaults to `[255, 255, 255]`
- `QRFpdf`: defaults to blank internally (white page)

#### $cachefile

QROptionsTrait.php : 155

Optional cache file path `/path/to/cache.file`

`protected string|null $cachefile = null`

Please note that the `$file` parameter in `QRCode::render()` and `QRCode::renderMatrix()` takes precedence over the `QROptions::$cachefile` value. (default: `null`)

##### Tags

see
  QRCode::render()
see
  QRCode::renderMatrix()

#### $circleRadius

QROptionsTrait.php : 225

Specifies the radius of the modules when `QROptions::$drawCircularModules` is set to `true`

`protected float $circleRadius = 0.45`

(default: 0.45)

#### $connectPaths

QROptionsTrait.php : 239

Whether to connect the paths for the several module types to avoid weird glitches when using gradients etc.

`protected bool $connectPaths = false`

##### Tags

see
  https://github.com/chillerlan/php-qrcode/issues/57

#### $cssClass

QROptionsTrait.php : 363

A common css class

`protected string $cssClass = 'qrcode'`

#### $drawCircularModules

QROptionsTrait.php : 218

Specify whether to draw the modules as filled circles

`protected bool $drawCircularModules = false`

a note for `GdImage` output:

if `QROptions::$scale` is less than 20, the image will be upscaled internally, then the modules will be drawn using `imagefilledellipse()` and then scaled back to the expected size

No effect in: `QREps`, `QRFpdf`, `QRMarkupHTML`

##### Tags

see
  imagefilledellipse()
see
  https://github.com/chillerlan/php-qrcode/issues/23
see
  https://github.com/chillerlan/php-qrcode/discussions/122

#### $drawLightModules

QROptionsTrait.php : 202

Whether to draw the light (false) modules

`protected bool $drawLightModules = true`

(default: `true`)

#### $eccLevel

QROptionsTrait.php : 68

Error correct level

`protected int $eccLevel = \chillerlan\QRCode\Common\EccLevel::L`

`EccLevel::X` where `X` is:

- `L` => 7% (default)
- `M` => 15%
- `Q` => 25%
- `H` => 30%

##### Tags

todo:

  accept string values (PHP8+)

see
  EccLevel
see
  https://github.com/chillerlan/php-qrcode/discussions/160

#### $eol

QROptionsTrait.php : 171

Newline string

`protected string $eol = \PHP_EOL`

(default: `PHP_EOL`)

#### $excludeFromConnect

QROptionsTrait.php : 244

Specify which paths/patterns to exclude from connecting if `QROptions::$connectPaths` is set to `true`

`protected array<string|int, mixed> $excludeFromConnect = []`

#### $fpdfMeasureUnit

QROptionsTrait.php : 460

Measurement unit for `FPDF` output: `pt`, `mm`, `cm`, `in` (default: `pt`)

`protected string $fpdfMeasureUnit = 'pt'`

##### Tags

see
  FPDF::__construct()

#### $imageBase64

QROptionsTrait.php : 601
`protected bool $imageBase64`

##### Tags

deprecated
  5.0.0

  use QROptions::$outputBase64 instead

see
  QROptions::$outputBase64

#### $imageTransparencyBG

QROptionsTrait.php : 677
`protected array<string|int, mixed> $imageTransparencyBG`

##### Tags

deprecated
  5.0.0

  use QROptions::$transparencyColor instead

see
  QROptions::$transparencyColor

#### $imageTransparent

QROptionsTrait.php : 306

Toggle transparency

`protected bool $imageTransparent = false`

- `QRGdImage` and `QRImagick`: the given `QROptions::$transparencyColor` is set as transparent

##### Tags

see
  https://github.com/chillerlan/php-qrcode/discussions/121

#### $imagickBG

QROptionsTrait.php : 701
`protected string $imagickBG`

##### Tags

deprecated
  5.0.0

  use QROptions::$bgColor instead

see
  QROptions::$bgColor

#### $imagickFormat

QROptionsTrait.php : 353

Imagick output format

`protected string $imagickFormat = 'png32'`

##### Tags

see
  Imagick::setImageFormat()
see
  https://www.imagemagick.org/script/formats.php

#### $invertMatrix

QROptionsTrait.php : 195

Whether to invert the matrix (reflectance reversal)

`protected bool $invertMatrix = false`

(default: `false`)

##### Tags

see
  QRMatrix::invert()

#### $jpegQuality

QROptionsTrait.php : 629
`protected int $jpegQuality`

##### Tags

deprecated
  5.0.0

  use QROptions::$quality instead

see
  QROptions::$quality

#### $jsonAsBooleans

QROptionsTrait.php : 449

Whether to return matrix values in JSON as booleans or `$M_TYPE` integers

`protected bool $jsonAsBooleans = false`

#### $keepAsSquare

QROptionsTrait.php : 232

Specifies which module types to exclude when `QROptions::$drawCircularModules` is set to `true`

`protected array<string|int, mixed> $keepAsSquare = []`

(default: `[]`)

#### $logoSpaceHeight

QROptionsTrait.php : 277

Height of the logo space

`protected int|null $logoSpaceHeight = null`

if only `QROptions::$logoSpaceHeight` is given, the logo space is assumed a square of that size

#### $logoSpaceStartX

QROptionsTrait.php : 282

Optional horizontal start position of the logo space (top left corner)

`protected int|null $logoSpaceStartX = null`

#### $logoSpaceStartY

QROptionsTrait.php : 287

Optional vertical start position of the logo space (top left corner)

`protected int|null $logoSpaceStartY = null`

#### $logoSpaceWidth

QROptionsTrait.php : 270

Width of the logo space

`protected int|null $logoSpaceWidth = null`

if only `QROptions::$logoSpaceWidth` is given, the logo space is assumed a square of that size

#### $markupDark

QROptionsTrait.php : 368

Markup substitute for dark (CSS value)

`protected string $markupDark = '#000'`

#### $markupLight

QROptionsTrait.php : 373

Markup substitute for light (CSS value)

`protected string $markupLight = '#fff'`

#### $maskPattern

QROptionsTrait.php : 77

Mask Pattern to use (no value in using, mostly for unit testing purposes)

`protected int $maskPattern = \chillerlan\QRCode\Common\MaskPattern::AUTO`

`0 ... 7` or `MaskPattern::PATTERN_AUTO` (default)

##### Tags

see
  MaskPattern

#### $moduleValues

QROptionsTrait.php : 255

Module values map

`protected array<string|int, mixed>|null $moduleValues = null`

- `QRImagick`, `QRMarkupHTML`, `QRMarkupSVG`: #ABCDEF, cssname, rgb(), rgba()...
- `QREps`, `QRFpdf`, `QRGdImage`: `[R, G, B]` // 0-255
- `QREps`: `[C, M, Y, K]` // 0-255

##### Tags

see
  QROutputAbstract::setModuleValues()

#### $outputBase64

QROptionsTrait.php : 164

Toggle base64 data URI or raw data output (if applicable)

`protected bool $outputBase64 = true`

(default: `true`)

##### Tags

see
  QROutputAbstract::toBase64DataURI()

#### $outputInterface

QROptionsTrait.php : 130

The FQCN of the custom `QROutputInterface`

`protected string|null $outputInterface = null`

if `QROptions::$outputType` is set to `QROutputInterface::CUSTOM` (default: `null`)

#### $outputType

QROptionsTrait.php : 123

The built-in output type

`protected string $outputType = \chillerlan\QRCode\Output\QROutputInterface::MARKUP_SVG`

- `QROutputInterface::MARKUP_SVG` (default)
- `QROutputInterface::MARKUP_HTML`
- `QROutputInterface::GDIMAGE_BMP`
- `QROutputInterface::GDIMAGE_GIF`
- `QROutputInterface::GDIMAGE_JPG`
- `QROutputInterface::GDIMAGE_PNG`
- `QROutputInterface::GDIMAGE_WEBP`
- `QROutputInterface::STRING_TEXT`
- `QROutputInterface::STRING_JSON`
- `QROutputInterface::IMAGICK`
- `QROutputInterface::EPS`
- `QROutputInterface::FPDF`
- `QROutputInterface::CUSTOM`

##### Tags

see
  QREps
see
  QRFpdf
see
  QRGdImage
see
  QRImagick
see
  QRMarkupHTML
see
  QRMarkupSVG
see
  QRString

#### $pngCompression

QROptionsTrait.php : 653
`protected int $pngCompression`

##### Tags

deprecated
  5.0.0

  use QROptions::$quality instead

see
  QROptions::$quality

#### $quality

QROptionsTrait.php : 340

Compression quality

`protected int $quality = -1`

The given value depends on the used output type:

- `QROutputInterface::GDIMAGE_BMP`: `[0...1]`
- `QROutputInterface::GDIMAGE_JPG`: `[0...100]`
- `QROutputInterface::GDIMAGE_WEBP`: `[0...9]`
- `QROutputInterface::GDIMAGE_PNG`: `[0...100]`
- `QROutputInterface::IMAGICK`: `[0...100]`

##### Tags

see
  imagebmp()
see
  imagejpeg()
see
  imagepng()
see
  imagewebp()
see
  Imagick::setImageCompressionQuality()

#### $quietzoneSize

QROptionsTrait.php : 91

Size of the quiet zone

`protected int $quietzoneSize = 4`

internally clamped to `0 ... $moduleCount / 2` (default: 4)

#### $readerGrayscale

QROptionsTrait.php : 475

Grayscale the image before reading

`protected bool $readerGrayscale = false`

#### $readerIncreaseContrast

QROptionsTrait.php : 482

Increase the contrast before reading

`protected bool $readerIncreaseContrast = false`

note that applying contrast works different in GD and Imagick, so mileage may vary

#### $readerUseImagickIfAvailable

QROptionsTrait.php : 470

Use Imagick (if available) when reading QR Codes

`protected bool $readerUseImagickIfAvailable = false`

#### $returnResource

QROptionsTrait.php : 144

Return the image resource instead of a render if applicable.

`protected bool $returnResource = false`

- `QRGdImage`: `resource` (PHP < 8), `GdImage`
- `QRImagick`: `Imagick`
- `QRFpdf`: `FPDF`

This option overrides/ignores other output settings, such as `QROptions::$cachefile` and `QROptions::$outputBase64`. (default: `false`)

##### Tags

see
  QROutputInterface::dump()

#### $scale

QROptionsTrait.php : 297

Pixel size of a QR code module

`protected int $scale = 5`

#### $svgAddXmlHeader

QROptionsTrait.php : 385

Whether to add an XML header line or not, e.g. to embed the SVG directly in HTML

`protected bool $svgAddXmlHeader = true`

`<?xml version="1.0" encoding="UTF-8"?>`

#### $svgDefs

QROptionsTrait.php : 401

Anything in the SVG `<defs>` tag

`protected string $svgDefs = ''`

##### Tags

see
  https://developer.mozilla.org/en-US/docs/Web/SVG/Element/defs

#### $svgOpacity

QROptionsTrait.php : 394

SVG path opacity

`protected float $svgOpacity = 1.0`

Sets the value for the SVG "fill-opacity" on a `<path>` element. Only in effect when non-empty values for `QROptions::$markupDark` and `QROptions::$markupLight` are given. The opacity value is the same for all paths - please use CSS for more sophisticated implementations.

#### $svgPreserveAspectRatio

QROptionsTrait.php : 421

Sets the value for the "preserveAspectRatio" on the `<svg>` element

`protected string $svgPreserveAspectRatio = 'xMidYMid'`

##### Tags

see
  https://developer.mozilla.org/en-US/docs/Web/SVG/Attribute/preserveAspectRatio

#### $svgViewBoxSize

QROptionsTrait.php : 414

SVG viewBox size. A single integer number which defines width/height of the viewBox attribute.

`protected int|null $svgViewBoxSize = null`

viewBox="0 0 x x"

##### Tags

deprecated
  5.0.0

  use QRMarkupSVG::getViewBox() instead

see
  QRMarkupSVG::getViewBox()
see
  https://developer.mozilla.org/en-US/docs/Web/SVG/Attribute/viewBox
see
  https://css-tricks.com/scale-svg/#article-header-id-3

#### $textDark

QROptionsTrait.php : 434

String substitute for dark

`protected string $textDark = '██'`

##### Tags

see
  https://en.wikipedia.org/wiki/Block_Elements
see
  https://en.wikipedia.org/wiki/ANSI_escape_code#8-bit

#### $textLight

QROptionsTrait.php : 439

String substitute for light

`protected string $textLight = '░░'`

#### $textLineStart

QROptionsTrait.php : 444

An optional line prefix, e.g. empty space to align the QR Code in a console

`protected string $textLineStart = ''`

#### $transparencyColor

QROptionsTrait.php : 321

Sets a transparency color for when `QROptions::$imageTransparent` is set to `true`.

`protected mixed|null $transparencyColor = null`

Defaults to `QROptions::$bgColor`.

- `QRGdImage`: `[R, G, B]`, this color is set as transparent in `imagecolortransparent()`
- `QRImagick`: `"color_str"`, this color is set in `Imagick::transparentPaintImage()`

##### Tags

see
  imagecolortransparent()
see
  Imagick::transparentPaintImage()

#### $version

QROptionsTrait.php : 38

QR Code version number

`protected int $version = \chillerlan\QRCode\Common\Version::AUTO`

`1 ... 40` or `Version::AUTO` (default)

##### Tags

see
  Version

#### $versionMax

QROptionsTrait.php : 52

Maximum QR version

`protected int $versionMax = 40`

if `QROptions::$version` is set to `Version::AUTO` (default: 40)

#### $versionMin

QROptionsTrait.php : 45

Minimum QR version

`protected int $versionMin = 1`

if `QROptions::$version` is set to `Version::AUTO` (default: 1)

### Methods

#### clampLogoSpaceValue()

QROptionsTrait.php : 549

clamp the logo space values between 0 and maximum length (177 modules at version 40)

`protected clampLogoSpaceValue(int|null $value) : int|null`

##### Parameters

$value : int|null

##### Return values

int|null

#### get_imageBase64()

QROptionsTrait.php : 621

redirect call to the new variable

`protected get_imageBase64() : bool`

##### Tags

deprecated
  5.0.0

  use QROptions::$outputBase64 instead

see
  QROptions::$outputBase64
codeCoverageIgnore

##### Return values

bool

#### get_imageTransparencyBG()

QROptionsTrait.php : 693
`protected get_imageTransparencyBG() : array<string|int, mixed>|null`

##### Tags

deprecated
  5.0.0

  use QROptions::$transparencyColor instead

see
  QROptions::$transparencyColor
codeCoverageIgnore

##### Return values

array<string|int, mixed>|null

#### get_imagickBG()

QROptionsTrait.php : 717
`protected get_imagickBG() : string|null`

##### Tags

deprecated
  5.0.0

  use QROptions::$bgColor instead

see
  QROptions::$bgColor
codeCoverageIgnore

##### Return values

string|null

#### get_jpegQuality()

QROptionsTrait.php : 645
`protected get_jpegQuality() : int`

##### Tags

deprecated
  5.0.0

  use QROptions::$quality instead

see
  QROptions::$quality
codeCoverageIgnore

##### Return values

int

#### get_pngCompression()

QROptionsTrait.php : 669
`protected get_pngCompression() : int`

##### Tags

deprecated
  5.0.0

  use QROptions::$quality instead

see
  QROptions::$quality
codeCoverageIgnore

##### Return values

int

#### set_circleRadius()

QROptionsTrait.php : 589

clamp/set SVG circle radius

`protected set_circleRadius(float $circleRadius) : void`

##### Parameters

$circleRadius : float

#### set_fpdfMeasureUnit()

QROptionsTrait.php : 529

sets the FPDF measurement unit

`protected set_fpdfMeasureUnit(string $unit) : void`

##### Parameters

$unit : string

##### Tags

codeCoverageIgnore

#### set_imageBase64()

QROptionsTrait.php : 610

redirect call to the new variable

`protected set_imageBase64(bool $imageBase64) : void`

##### Parameters

$imageBase64 : bool

##### Tags

deprecated
  5.0.0

  use QROptions::$outputBase64 instead

see
  QROptions::$outputBase64
codeCoverageIgnore

#### set_imageTransparencyBG()

QROptionsTrait.php : 684
`protected set_imageTransparencyBG(array<string|int, mixed>|null $imageTransparencyBG) : void`

##### Parameters

$imageTransparencyBG : array<string|int, mixed>|null

##### Tags

deprecated
  5.0.0

  use QROptions::$transparencyColor instead

see
  QROptions::$transparencyColor
codeCoverageIgnore

#### set_imagickBG()

QROptionsTrait.php : 708
`protected set_imagickBG(string|null $imagickBG) : void`

##### Parameters

$imagickBG : string|null

##### Tags

deprecated
  5.0.0

  use QROptions::$bgColor instead

see
  QROptions::$bgColor
codeCoverageIgnore

#### set_jpegQuality()

QROptionsTrait.php : 636
`protected set_jpegQuality(int $jpegQuality) : void`

##### Parameters

$jpegQuality : int

##### Tags

deprecated
  5.0.0

  use QROptions::$quality instead

see
  QROptions::$quality
codeCoverageIgnore

#### set_logoSpaceHeight()

QROptionsTrait.php : 568

clamp/set logo space height

`protected set_logoSpaceHeight(int|null $value) : void`

##### Parameters

$value : int|null

#### set_logoSpaceStartX()

QROptionsTrait.php : 575

clamp/set horizontal logo space start

`protected set_logoSpaceStartX(int|null $value) : void`

##### Parameters

$value : int|null

#### set_logoSpaceStartY()

QROptionsTrait.php : 582

clamp/set vertical logo space start

`protected set_logoSpaceStartY(int|null $value) : void`

##### Parameters

$value : int|null

#### set_logoSpaceWidth()

QROptionsTrait.php : 561

clamp/set logo space width

`protected set_logoSpaceWidth(int|null $value) : void`

##### Parameters

$value : int|null

#### set_pngCompression()

QROptionsTrait.php : 660
`protected set_pngCompression(int $pngCompression) : void`

##### Parameters

$pngCompression : int

##### Tags

deprecated
  5.0.0

  use QROptions::$quality instead

see
  QROptions::$quality
codeCoverageIgnore

#### set_quietzoneSize()

QROptionsTrait.php : 520

sets/clamps the quiet zone size

`protected set_quietzoneSize(int $quietzoneSize) : void`

##### Parameters

$quietzoneSize : int

#### set_readerUseImagickIfAvailable()

QROptionsTrait.php : 542

enables Imagick for the QR Code reader if the extension is available

`protected set_readerUseImagickIfAvailable(bool $useImagickIfAvailable) : void`

##### Parameters

$useImagickIfAvailable : bool

#### set_version()

QROptionsTrait.php : 513

sets/clamps the version number

`protected set_version(int $version) : void`

##### Parameters

$version : int

#### set_versionMax()

QROptionsTrait.php : 506

sets the maximum version number

`protected set_versionMax(int $version) : void`

##### Parameters

$version : int

#### set_versionMin()

QROptionsTrait.php : 499

sets the minimum version number

`protected set_versionMin(int $version) : void`

##### Parameters

$version : int

#### setMinMaxVersion()

QROptionsTrait.php : 488

clamp min/max version number

`protected setMinMaxVersion(int $versionMin, int $versionMax) : void`

##### Parameters

$versionMin : int
$versionMax : int

## Search results